Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## anl.repast.gis.data
Class FieldNameAndType

    java.lang.Object
      anl.repast.gis.data.FieldNameAndType

    public class FieldNameAndType

extends java.lang.Object

Stores the Field name and type from a dbf file used from the GisData class

Author:
  Robert Najlis

Field Summary
`java.lang.String` | `fieldName`
`java.lang.String` | `fieldType`

Constructor Summary
`FieldNameAndType()`
`FieldNameAndType(java.lang.String fieldName, java.lang.String fieldType)`

Method Summary
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getFieldType()`
`static void` | `main(java.lang.String[] args)`
`void` | `setFieldName(java.lang.String fieldName)`
`void` | `setFieldType(java.lang.String fieldType)`
`void` | `setNameAndType(java.lang.String fieldName, java.lang.String fieldType)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fieldName

    public java.lang.String fieldName

### fieldType

    public java.lang.String fieldType

Constructor Detail

### FieldNameAndType

    public FieldNameAndType()

### FieldNameAndType

    public FieldNameAndType(java.lang.String fieldName,
                            java.lang.String fieldType)

Method Detail

### getFieldName

    public java.lang.String getFieldName()

### setFieldName

    public void setFieldName(java.lang.String fieldName)

### getFieldType

    public java.lang.String getFieldType()

### setFieldType

    public void setFieldType(java.lang.String fieldType)

### setNameAndType

    public void setNameAndType(java.lang.String fieldName,
                               java.lang.String fieldType)

### main

    public static void main(java.lang.String[] args)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD